define({"0":{y:0,u:"../Content/Part_Overview.htm",l:-1,t:"Overview of Filter SDK",i:0.00323022371638596,a:"Overview of Filter SDK This section provides an overview of the Micro Focus KeyView Filter SDK and describes how to use the  Java  implementation of the API."},"1":{y:0,u:"../Content/filter_shared/filtersdk_intro/intro_filtersdk.htm",l:-1,t:"Introducing Filter SDK",i:0.00323022371638596,a:"Introducing Filter SDK This section describes the Filter SDK package. "},"2":{y:0,u:"../Content/filter_shared/filtersdk_intro/Overview.htm",l:-1,t:"Overview",i:0.00323022371638596,a:"Micro Focus KeyView Filter SDK enables you to incorporate text extraction functionality into your own applications. It extracts text and metadata from a wide variety of file formats on numerous platforms, and can automatically recognize over 1000 document types. It supports both file-based and ..."},"3":{y:0,u:"../Content/filter_shared/filtersdk_intro/Features.htm",l:-1,t:"Features",i:0.00323022371638596,a:"Document readers are threadsafe. The benefit of a threadsafe technology is that you can successfully extract text from hundreds of documents simultaneously. Documents are not queued for sequential filtering, but are actually filtered at the same time. Filter supports popular word processing, ..."},"4":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00323022371638596,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"5":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00323022371638596,a:"CentOS 7 x86 and x64 FreeBSD 8.1 x86 IBM AIX L6.1 PowerPC 32-bit and 64-bit IBM AIX L7.1 PowerPC 32-bit and 64-bit Mac OS X 10.13 or higher on 32- and 64-bit Apple-Intel architecture Microsoft Windows Server 2012 x64 Microsoft Windows Server 2016 x64 Microsoft Windows Server 2019 x64 Microsoft ..."},"6":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00323022371638596,a:"Supported Compilers Supported Compilers for Java Components Component Compiler Java components Java 7"},"7":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00323022371638596,a:"Some KeyView components require  specific third-party software: Java Runtime Environment (JRE) or Java Software Developer Kit (JDK) version 7 is required for  Java API and  graphics conversion in Export SDK. Outlook 2002 or later is required to process Microsoft Outlook Personal Folders (PST) files ..."},"8":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.00323022371638596,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"9":{y:0,u:"../Content/Shared/_KV_install_UNIX.htm",l:-1,t:"UNIX Installation",i:0.00323022371638596,a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ..."},"10":{y:0,u:"../Content/filter_shared/filtersdk_intro/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00323022371638596,a:"Package Contents The Filter SDK installation contains: All the libraries and executables necessary for extracting text from a wide variety of formats. The  include files  that define the functions and structures used by the application to establish an interface with Filter:"},"11":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0803124537662518,a:"During installation, the installation program generates the  install/OS/bin/kv.lic file, where  install is the directory in which you installed KeyView, and OS is the operating system. This file is opened and validated when the KeyView API is used.  Where the API allows, Micro Focus recommends that ..."},"12":{y:0,u:"../Content/filter_shared/filtersdk_intro/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00323022371638596,a:"The following table describes the directories created during the Filter SDK installation. The variable  install is the path name of the Filter installation  directory (for example,  /usr/autonomy/KeyviewFilterSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewFilterSDK on Windows). The variable  OS is ..."},"13":{y:0,u:"../Content/Chapter_GettingStarted.htm",l:-1,t:"Getting Started",i:0.00323022371638596,a:"Getting Started This section provides an overview of Filter SDK, and describes how to use the  Java  implementation of the API."},"14":{y:0,u:"../Content/Java/gettingstarted/Architectural_Overview.htm",l:-1,t:"Architectural Overview",i:0.00597593098549086,a:"Architectural Overview The general architecture of the KeyView Filter technology is the same across all supported platforms and is illustrated in the following diagram. Each component is described in the following table."},"15":{y:0,u:"../Content/Java/gettingstarted/Enhance_Performance.htm",l:-1,t:"Enhance Performance",i:0.00323022371638596,a:"Enhance Performance KeyView is designed for optimal performance out of the box. However, there are some parameters that you can adjust to improve system performance according to your needs."},"16":{y:0,u:"../Content/Java/gettingstarted/File_Caching.htm",l:-1,t:"File Caching",i:0.00323022371638596,a:"To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data into memory. The readers then read the data from the cache rather than the physical disk. You can configure the amount of memory used for file caching through the formats.ini file. ..."},"17":{y:0,u:"../Content/Java/gettingstarted/Filtering.htm",l:-1,t:"Filtering",i:0.00323022371638596,a:"Filter SDK enables you to filter many different types of documents. Filtering is the process of extracting the text from a document without the application-specific markup. However, the filtering process can also include the following: Subfile extraction—exposes all subfiles for filtering. See  Use ..."},"18":{y:0,u:"../Content/Java/gettingstarted/Sub_File_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.00323022371638596,a:"To filter a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. Archive files (such as ZIP), mail messages with attachments (such as  Microsoft Outlook Express), mail stores ..."},"19":{y:0,u:"../Content/Java/gettingstarted/Use_Java_Implementation.htm",l:-1,t:"Use the Java Implementation of the API",i:0.00323022371638596,a:"The Java version of the Filter API provides an interface to the core functionality of the C API. It contains one primary class (Filter) that wraps the filter functionality of the C API. It is implemented in the package com.verity.api.filter contained in the file  KeyView.jar. The JAR file is in the ..."},"20":{y:0,u:"../Content/Java/gettingstarted/Input_Output_Operations.htm",l:-1,t:"Input/Output Operations",i:0.00323022371638596,a:"In the Filter Java API , input and output can be either a physical file accessed through a file path, or a Java stream. Depending on the method signature you use, you can create the following filtering processes: filter an input file to output file filter an input file to an output stream filter an ..."},"21":{y:0,u:"../Content/Java/gettingstarted/Filter_in_File_or_Stream.htm",l:-1,t:"Filter in File or Stream Mode",i:0.00323022371638596,a:"To filter files using the methods in the Filter class Instantiate a Filter object using either the default constructor or the constructor that sets the output character set and filter flags: Use the default constructor Filter(). For example: m_objFilter = new Filter(); Use the constructor ..."},"22":{y:0,u:"../Content/Java/gettingstarted/Multi_Threaded_Filtering.htm",l:-1,t:"Multithreaded Filtering",i:0.00323022371638596,a:"To ensure multithreaded filter processes are thread-safe, you must create a unique Filter context for every thread by instantiating a Filter object. In addition, threads must not share context objects, and the same context object must be used for all API calls in the same thread. Creating a context ..."},"23":{y:0,u:"../Content/Java/gettingstarted/Before_Running_Your_Application.htm",l:-1,t:"Before Running Your Application",i:0.00323022371638596,a:"Before running your application you must set the library path using one of the following methods: On Windows, add the location of KeyViewFilter.dll to the PATH environment variable. On Solaris, Linux, and HP-UX IA-64, add the location of libKeyViewFilter.so to the LD_LIBRARY_PATH environment ..."},"24":{y:0,u:"../Content/Java/gettingstarted/The_Filter_Process_Model.htm",l:-1,t:"The Filter Process Model",i:0.00734878462004331,a:"By default, Filter runs independently from the calling application process. This is called out-of-process filtering. Out-of-process filtering protects the stability of the calling application in the rare case when a malformed document causes Filter to fail. You can configure Filter  to run in the ..."},"25":{y:0,u:"../Content/Java/gettingstarted/Persist_the_Child_Process.htm",l:-1,t:"Persist the Child Process",i:0.00323022371638596,a:"By default, in out-of-process filtering, the parent process maintains a persistent connection with the child server after each file is filtered. When the connection is preserved in this way, subsequent filtering requests are processed more quickly because the server is already prepared to receive ..."},"26":{y:0,u:"../Content/Java/gettingstarted/Run_Filter_In_Process.htm",l:-1,t:"Run Filter In Process",i:0.00499131073155985,a:"By default, Filter runs out of process. However, you can enable in-process filtering through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, then Filter is run out of process. If the type of process is specified in the formats.ini and in ..."},"27":{y:0,u:"../Content/Java/gettingstarted/Run_File_Extraction_Func.htm",l:-1,t:"Run File Extraction Functions Out of Process",i:0.00597593098549086,a:"Run File  Extraction Functions Out of  Process The out-of-process setting specified when you create the Filter object or in the formats.ini is automatically propagated to the File Extraction API. When you extract subfiles from container files and pass the files for filtering out of process, Filter ..."},"28":{y:0,u:"../Content/Java/gettingstarted/Out_of_Process_Logging.htm",l:-1,t:"Out-of-Process Logging",i:0.0215335073444289,a:"Logging is available for out-of-process filtering. The kvoop server can now create a log file that captures information on the files being processed, storing one entry per process. The generated log file is called  xxxx_kvoop.log, where  xxxx is a unique number identifying the process.  In the rare ..."},"29":{y:0,u:"../Content/Java/gettingstarted/Run_File_Detection_In_or.htm",l:-1,t:"Run File Detection In or Out of Process",i:0.00323022371638596,a:"By default, detection runs in out-of-process mode. However, you can enable in-process detection through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, Filter runs in out-of-process mode. If the type of process is specified in the ..."},"30":{y:0,u:"../Content/filter_shared/Use_Streaming_Mode.htm",l:-1,t:"Stream Data to Filter",i:0.00323022371638596,a:"By default, Filter uses temporary files during communication. It creates the temporary file to process, and uses further temporary files to store the filtered data and send it back only when the process is complete.  When running out-of-process, you can configure KeyView to stream the file data ..."},"31":{y:0,u:"../Content/Part_UseSDK.htm",l:-1,t:"Use Filter SDK",i:0.00323022371638596,a:"Use Filter SDK This section explains how to perform some basic tasks by using the File Extraction and Filter APIs, and describes the sample programs."},"32":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_api.htm",l:-1,t:"Use the File Extraction API",i:0.00793225206263712,a:"Use the File Extraction API This section describes how to extract subfiles from a container file using the File Extraction API. "},"33":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Introduction.htm",l:-1,t:"Introduction",i:0.00323022371638596,a:"To  filter  a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file.  The following ..."},"34":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Sub_Files.htm",l:-1,t:"Extract Subfiles",i:0.0306851491584504,a:"To  filter  all files in a container file, the container must be opened and its subfiles extracted to either a file or a stream using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  filtering . Once a subfile is extracted, you can ..."},"35":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00323022371638596,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the Filter.extGetSubFileInfo() method.  However, if the ..."},"36":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00323022371638596,a:"You can use the File Extraction API  to extract images within the file by specifying the following in the formats.ini file: [Options]\nExtractImages=TRUE If you set this option, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where ..."},"37":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Recreate_a_File_Hierarchy.htm",l:-1,t:"Recreate a File Hierarchy",i:0.00383771191446632,a:"When a container file is extracted, any relationships between the subfiles in the container are not maintained. However, the File Extraction interface provides information that enables you to recreate the hierarchy. The hierarchy can be used to create a directory structure in a file system, or to ..."},"38":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Mail_Metadata.htm",l:-1,t:"Extract Mail Metadata",i:0.128811163836986,a:"You can extract metadata such as subject, sender, and recipient from subfiles of mail formats by calling the extGetSubFileMetadata() method. You can extract a predefined set of metadata fields, or a list of metadata fields by their names or MAPI properties.  Default Metadata Set KeyView internally ..."},"39":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookFiles.htm",l:-1,t:"Extract Subfiles from Outlook Files",i:0.00323022371638596,a:"Extract  Subfiles from Outlook Files When you extract an Outlook file (MSG) to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the Extracted Text ..."},"40":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookExpress.htm",l:-1,t:"Extract Subfiles from Outlook Express Files",i:0.00323022371638596,a:"Extract Subfiles from Outlook  Express Files When you extract an Outlook Express (EML) file to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the ..."},"41":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_Mailbox_Files.htm",l:-1,t:"Extract Subfiles from Mailbox Files",i:0.00323022371638596,a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  When an ..."},"42":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookPersonal_files.htm",l:-1,t:"Extract Subfiles from Outlook Personal Folders Files",i:0.00323022371638596,a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the body text and header information (To, From, Sent, and so on) from each ..."},"43":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_LotusDomino.htm",l:-1,t:"Extract Subfiles from Lotus Domino XML Language Files",i:0.00323022371638596,a:"Extract  Subfiles from Lotus Domino XML Language Files When you extract a Lotus Domino XML Language (.DXL) file, the message text and header information (To, From, Sent, and so on) is extracted to a text file.  To prevent header information from being extracted, see  Exclude Metadata from the ..."},"44":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_LotusNotes_DB.htm",l:-1,t:"Extract Subfiles from Lotus Notes Database Files",i:0.00323022371638596,a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ..."},"45":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_PDF_Files.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00597593098549086,a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ..."},"46":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00323022371638596,a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ..."},"47":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Embedded_OLE_Objects.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00323022371638596,a:"The File Extraction API can extract embedded  OLE objects from the following types of documents: Lotus Notes (DXL) Microsoft Excel Microsoft Word Microsoft PowerPoint Microsoft Outlook  Microsoft Visio Microsoft Project OASIS Open Document Rich Text Format (RTF) When an embedded OLE object is ..."},"48":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_ZIP_Files.htm",l:-1,t:"Extract Subfiles from ZIP Files",i:0.00323022371638596,a:"You can extract ZIP files that are not password-protected by using the general method (see  Extract Subfiles ). However, some ZIP files use password protection, in which case you must use a different method to enter the required credentials.  See  Password Protected Files  for more information."},"49":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Default_Filenames_Extracted_Subfiles.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00323022371638596,a:"Default File Names for  Extracted Subfiles When a file name is not specified in the call to  extExtractSubFile, in some cases, a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, KeyView applies its ..."},"50":{y:0,u:"../Content/_KV_No_Phonetic_Guide.htm",l:-1,t:"Exclude Japanese Guide Text",i:0.00323022371638596,a:"This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text Set NoPhoneticGuides to TRUE in the formats.ini file: [Options]\nNoPhoneticGuides=TRUE You can also enable this option programatically when ..."},"51":{y:0,u:"../Content/Chapter_UseFilterAPI.htm",l:-1,t:"Use the Filter API",i:0.00450011797625599,a:"Use the Filter API This section describes how to perform some basic filtering tasks by using the Filter API."},"52":{y:0,u:"../Content/Java/filter_api/Generate_an_Error_Log.htm",l:-1,t:"Generate an Error Log",i:0.00947673564105369,a:"You can monitor and debug filtering operations by enabling a detailed error log. This allows you to see errors that are generated at run time and to track problem files in stream or file mode. Error logs are not generated when in-process filtering is enabled. The error log might include the ..."},"53":{y:0,u:"../Content/Java/filter_api/Enable_Disable_Error_Loggign.htm",l:-1,t:"Enable or Disable Error Logging",i:0.00572637108327221,a:"Enable or Disable Error  Logging You can enable or disable error logging using either the API or environment variables. By default, a file called kvoop.log is created in the system temporary directory; however, you can change the path and file name of this file (see  Change the Path and File Name of ..."},"54":{y:0,u:"../Content/Java/filter_api/Change_the_Path_and_File.htm",l:-1,t:"Change the Path and File Name of the Log File",i:0.00944022643340339,a:"You can change the default path and file name of the log file. The default is C:\\temp\\kvoop.log on Windows and /tmp/kvoop.log on UNIX.  To change the path and file name of the log file, add the following to the formats.ini file: [kvooplog]\nKvoopLogName=filepath The formats.ini file is in the ..."},"55":{y:0,u:"../Content/Java/filter_api/Report_Memory_Errors.htm",l:-1,t:"Report Memory Errors",i:0.00572637108327221,a:"You can report memory leaks and  memory overwrites in the log file by enabling the  memory trace system, either by using the API or environment variables. If the memory trace system is enabled, the error messages for memory leaks and memory overwrites (KVError_MemoryLeak and KVError_MemoryOverwrite, ..."},"56":{y:0,u:"../Content/Java/filter_api/Specify_a_Memory_Guard.htm",l:-1,t:"Specify a Memory Guard",i:0.00700649934979104,a:"To report memory overwrites in the log file, you must set a  memory guard that protects against memory overwrites. Normally, this is set in the range of 100-200 bytes. For example, if a memory guard of 100 is set and 20 bytes of memory are specified, a total of 120 bytes of memory are allocated. The ..."},"57":{y:0,u:"../Content/Java/filter_api/Report_the_Filename_in_S.htm",l:-1,t:"Report the File Name in Stream Mode",i:0.00457277226617869,a:"When you run Filter in file mode, the file name is always reported in the log file. To report the file name in stream mode, you must extract it through the API. To add the input file name to the log Create an instance of ConfigOption with the following arguments: Set the  OptionType to  ..."},"58":{y:0,u:"../Content/Java/filter_api/Specify_the_Maximum_Size.htm",l:-1,t:"Specify the Maximum Size of the Log File",i:0.00457277226617869,a:"You can specify the maximum size of the log file. When this size is reached and new entries are logged, either the first entry in the file is overwritten or the new entries are not reported.  To configure the maximum log size and whether old entries are overwritten, add the following section to the ..."},"59":{y:0,u:"../Content/Java/filter_api/Extract_Metadata.htm",l:-1,t:"Extract Metadata",i:0.00781595661986062,a:"Extract  Metadata When a file format supports metadata, KeyView can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ..."},"60":{y:0,u:"../Content/Java/filter_api/Extract_Metadata_for_Fil.htm",l:-1,t:"Extract Metadata for File Filtering",i:0.00323022371638596,a:"Extract Metadata for  File Filtering To extract metadata for file filtering Optionally, set the input source using the setInputSource(java.lang.String inFile) method of the Filter object.  If the input source was set in step 1, call the getSummaryInfo() method of the Filter object to retrieve an ..."},"61":{y:0,u:"../Content/Java/filter_api/Extract_Metadata_for_Str.htm",l:-1,t:"Extract Metadata for Stream Filtering",i:0.00323022371638596,a:"Extract Metadata for  Stream Filtering To extract metadata for stream filtering Optionally, set the input source using the setInputSource(java.io.InputStream input) method of the Filter object. If the input source was set in step 1, call the getSummaryInfo() method of the Filter object to retrieve ..."},"62":{y:0,u:"../Content/Java/filter_api/Example.htm",l:-1,t:"Example",i:0.00323022371638596,a:"Below is an example of a call to getSummaryInfo(): SummaryInfo[] sinfo = objFilter.getSummaryInfo();\nif(sinfo != null)\n{\n  System.out.println(\"\\nSummary info has been extracted.\");\n  fos_sum = new FileOutputStream(summaryOutFile);\n  DataOutputStream dos_sum = new DataOutputStream(fos_sum);\n  for(int ..."},"63":{y:0,u:"../Content/Java/filter_api/Convert_Character_Sets.htm",l:-1,t:"Convert Character Sets",i:0.00391665053366219,a:"Filter can convert the character set of a source document to an arbitrary character set specified in the API, or to the character set of the operating system on which the output text is viewed. For this conversion to occur, a source character set must be identified. The source character set can ..."},"64":{y:0,u:"../Content/Java/filter_api/Determine_the_Character_.htm",l:-1,t:"Determine the Character Set of the Output Text",i:0.00323022371638596,a:"Determine the  Character Set of the Output Text To determine the output character set of a filtered document, Filter considers the following: Whether the document reader can determine the character set of the file format. If the document reader cannot determine the character set information for the ..."},"65":{y:0,u:"../Content/Java/filter_api/Set_CharSet_Filtering.htm",l:-1,t:"Set the Character Set During Filtering",i:0.00323022371638596,a:"Set the Character  Set During Filtering You can convert the character set of a file at the time the file is filtered. To specify the source character set, use the setSourceCharSet(java.lang.String charset) method. For example: objFilter.setSourceCharSet(sourceCharSet); To specify the target ..."},"66":{y:0,u:"../Content/Java/filter_api/Set_CharSet_Extraction.htm",l:-1,t:"Set the Character Set During Subfile Extraction",i:0.00323022371638596,a:"Set the Character Set During  Subfile Extraction You can convert the character set of a subfile at the time the subfile is extracted from the container and before it is filtered. This is most often used to set the character set of a mail message\u0027s body text. See  Filter PDF Files  for more ..."},"67":{y:0,u:"../Content/Java/filter_api/Prevent_the_Default_Conv.htm",l:-1,t:"Prevent the Default Conversion of a Character Set",i:0.00438382253347949,a:"Prevent the Default Conversion of a  Character Set You can prevent the default conversion of text to the operating system code page, and specify that Filter retain the original character encoding of the document when it is available. Any document identified as containing more than one character ..."},"68":{y:0,u:"../Content/Java/filter_api/Extract_Tracked_Deleted_.htm",l:-1,t:"Extract Tracked Deleted Text",i:0.00438382253347949,a:"The revision tracking feature in applications—such as Microsoft Word\u0027s  Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date. If revision tracking was enabled when text was deleted from ..."},"69":{y:0,u:"../Content/Java/filter_api/Filter_PDF_Files.htm",l:-1,t:"Filter PDF Files",i:0.00712952980258439,a:"Filter PDF Files Filter has special configuration options that allow greater control over the conversion of Adobe Acrobat PDF files."},"70":{y:0,u:"../Content/Java/filter_api/Filter_PDF_Files_to_a_Lo.htm",l:-1,t:"Filter PDF Files to a Logical Reading Order",i:0.00323022371638596,a:"The PDF format is primarily designed for presentation and printing of brochures, magazines, forms, reports, and other materials with complex visual designs. Most PDF files do not contain the logical structure of the original document—the correct reading order, for example, and the presence and ..."},"71":{y:0,u:"../Content/Java/filter_api/Rotated_Text.htm",l:-1,t:"Rotated Text",i:0.00323022371638596,a:"When a PDF that contains rotated text is filtered, the rotated text is extracted after the text at the end of the PDF page on which the rotated text appears. If the PDF is filtered with logical order enabled, and the amount of rotated text on a page surpasses a predefined threshold, the page is ..."},});